keys:
  - &jonas age1expg8vyduf290pz7l4f3mjzvk9f0azfdn48pyjzs3m6p7v4qjq0qwtn36z
  - &harbor age1wf0rq27v0n27zfy0es8ns3n25e2fdt063dgn68tt3f89rgrtu9csq4yhsp
  - &comfy-station age1xkmnvzus6fhundn4c0f6hyuwrj0f0m7x3hxtuhnez6cecr6m032qalw308
  - &monolith age1clh2c489j7mx94aqr44u6k2cx5axqme9rlshqu9l2mcynluwhq6qwn0sv0
creation_rules:
  - path_regex: secrets/[^/]+\.(yaml|json|env|ini)$
    key_groups:
    - age:
      - *jonas
      - *harbor
      - *comfy-station
      - *monolith

  - path_regex: secrets/jonas/[^/]+\.(yaml|json|env|ini)$
    key_groups:
    - age:
      - *jonas

  - path_regex: secrets/comfy-station/[^/]+\.(yaml|json|env|ini)$
    key_groups:
    - age:
      - *comfy-station
      - *jonas

  - path_regex: secrets/harbor/[^/]+\.(yaml|json|env|ini)$
    key_groups:
    - age:
      - *harbor
      - *jonas

  - path_regex: secrets/monolith/[^/]+\.(yaml|json|env|ini)$
    key_groups:
    - age:
      - *monolith
      - *jonas
